CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )

FIND_PACKAGE(
	OpenCV REQUIRED
)

FIND_LIBRARY(
	SQLite3_LIBS sqlite3
)

#FIND_PACKAGE(TrajectoryManagement)

SET(
	CMAKE_CXX_FLAGS "-g -Wall"
)

ADD_EXECUTABLE(
  bin/feature-based-tracking
  c/feature-based-tracking.cpp
  )

INCLUDE_DIRECTORIES(
#  bin/feature-based-tracking
/home/nicolas/Research/Code/trajectorymanagementandanalysis/trunk/src/TrajectoryManagementAndAnalysis
)

#TARGET_LINK_LIBRARIES(
#  bin/feature-based-tracking
#  ${OpenCV_LIBS}
#  $(TrajectoryManagement_DIR)
  #	${SQLite3_LIBS}
#  )
